// FileRev.cpp: implementation of the FileRev class.
//
//////////////////////////////////////////////////////////////////////

#include "FileHead.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

FileRev::FileRev(StrBuf newrev, FileHead* parent, StrBuf newchange, short revtype, bool text)
{
	rev = newrev;
	change = newchange;
	file = parent;
	type = revtype;
	prev = NULL;
	next = NULL;
	from = NULL;
	fromcheck = false;
	intocheck = false;
	fromrev = StrBuf();
	fromfile = StrBuf();
	intofiles = ListList();
	intorevs = ListList();
	ent = NULL;
	istext = text;
}

FileRev::~FileRev()
{
	if (next != NULL) delete next;
}
